Name:           perl-Text-VimColor
Version:        0.26
Release:        3%{?dist}
Summary:        Syntax color text in HTML or XML using Vim
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-VimColor/
Source0:        http://www.cpan.org/authors/id/R/RW/RWSTAUNER/Text-VimColor-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::ShareDir::Install) >= 0.03
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Path::Class) >= 0.04
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Term::ANSIColor) >= 1.03
# Tests
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::File::ShareDir::Dist)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(version)
BuildRequires:  vim-enhanced
# Optional tests
BuildRequires:  perl(Encode)
BuildRequires:  perl(Tie::StdHandle)
BuildRequires:  perl(XML::Parser)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Path::Class) >= 0.04
Requires:       perl(Term::ANSIColor) >= 1.03
Requires:       vim-enhanced

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Path::Class\\)$

%description
This module tries to markup text files according to their syntax. It can be
used to produce web pages with pretty-printed colorful source code samples.
It can produce output in various formats. text-vimcolor is a command line
interface to the Perl module Text::VimColor:
  text-vimcolor --format html --filetype prolog foo.pl > foo.html

%prep
%setup -q -n Text-VimColor-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} +
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{_bindir}/text-vimcolor
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.26-2
- Perl 5.22 rebuild

* Mon Mar 23 2015 Petr Šabata <contyk@redhat.com> - 0.26-1
- 0.26 bump

* Mon Mar 02 2015 Petr Šabata <contyk@redhat.com> - 0.25-1
- 0.25 bump

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.24-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 Petr Šabata <contyk@redhat.com> - 0.24-1
- 0.24 bump

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 31 2013 Petr Pisar <ppisar@redhat.com> - 0.23-2
- Perl 5.18 rebuild

* Mon Feb  4 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.23-1
- 0.23 bump

* Wed Oct 31 2012 Petr Šabata <contyk@redhat.com> - 0.22-1
- 0.22 bumpity (Windows-only changes)

* Fri Sep 14 2012 Jitka Plesnikova <jplesnik@redhat.com> - 0.21-1
- 0.21 bump

* Tue Aug 14 2012 Petr Šabata <contyk@redhat.com> - 0.20-1
- 0.20 bump
- Modernize spec and drop command macros

* Mon Jul 23 2012 Jitka Plesnikova <jplesnik@redhat.com> - 0.18-1
- 0.18 bump

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 0.17-2
- Perl 5.16 rebuild

* Thu Mar 22 2012 Petr Pisar <ppisar@redhat.com> - 0.17-1
- 0.17 bump

* Mon Mar 19 2012 Petr Pisar <ppisar@redhat.com> - 0.15-1
- 0.15 bump

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 21 2011 Petr Sabata <contyk@redhat.com> - 0.14-1
- 0.14 bump

* Tue Aug 16 2011 Marcela Maslanova <mmaslano@redhat.com> - 0.13-1
- update to 0.13
- add File::ShareDir::Install

* Fri Aug 12 2011 Petr Sabata <contyk@redhat.com> - 0.12-1
- 0.12 bump
- Remove now obsolete Buildroot and defattr

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.11-9
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.11-7
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.11-6
- Mass rebuild with perl-5.12.0

* Fri Jan 15 2010 Marcela Mašláňová <mmaslano@redhat.com> 0.11-5
- fix installation path

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.11-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 16 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.11-2
- add require and BR

* Thu Apr 16 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.11-1
- Specfile autogenerated by cpanspec 1.78.
